UHD;(1)

NAME
nirio_programmer - National Instruments reconfigurable I/O tool

DESCRIPTION
USRP-NIRIO-Programmer

    Allowed options:

--help
    help message

--interface arg (=0)
    The interface number to communicate with.

--port arg (=5444)
    Port to communicate with RPC server.

--fpga arg
    The absolute path to the LVBITX file to download to the FPGA.

--flash arg
    The path to the image to download to the flash OR 'erase' to erase the FPGA image from flash.

--peek arg
    Peek32.

--poke arg
    Poke32.

--stats
    Dump interface and DMA stats.

SEE ALSO
UHD documentation: http://files.ettus.com/uhd_docs/manual/html/index.html

GR-UHD documentation: http://gnuradio.org/doc/doxygen/page_uhd.html

Other UHD programs:

uhd_cal_tx_dc_offset(1) uhd_cal_rx_iq_balance(1)

AUTHOR
This manual page was written by Maitland Bottoms and Nicholas Corgan for the Debian project (but may be used by others).

COPYRIGHT
Copyright (c) 2014 Ettus Research LLC

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.